# Class `Objects.Static`

Statics

## Functions

Static:Enable() | Enable the static, for cases when it was shattered or manually disabled before.
Static:Disable() | Disable the static
Static:GetActive() | Get static mesh visibility
Static:GetSolid() | Get static mesh solid collision state
Static:SetSolid(solidState) | Set static mesh solid collision state
Static:GetPosition() | Get the static's position
Static:SetPosition(position) | Set the static's position
Static:GetRotation() | Get the static's rotation
Static:SetRotation(rotation) | Set the static's rotation
Static:GetScale() | Get the static's scale
Static:SetScale(scale) | Set the static's scale
Static:GetHP() | Get current HP (hit points/health points) Used only with shatterable static meshes.
Static:SetHP(HP) | Set current HP (hit points/health points) Used only with shatterable static meshes.
Static:GetName() | Get the static's unique string identifier
Static:SetName(name) | Set the static's name (its unique string identifier) e.g.
Static:GetSlot() | Get the static's slot number (as listed in Tomb Editor and WadTool)
Static:SetSlot(slot) | Set the static's slot number (as listed in Tomb Editor and WadTool)
Static:GetColor() | Get the static's color
Static:SetColor(color) | Set the static's color
Static:Shatter() | Shatter static mesh

## Functions

Static:Enable()
  Enable the static, for cases when it was shattered or manually disabled before.
Static:Disable()
  Disable the static
Static:GetActive()
  Get static mesh visibility

  ### Returns:

  bool visibility state
Static:GetSolid()
  Get static mesh solid collision state

  ### Returns:

  bool solid collision state (true if solid, false if soft)
Static:SetSolid(solidState)
  Set static mesh solid collision state

  ### Parameters:

  - solidState bool if set, collision will be solid, if not, will be soft
Static:GetPosition()
  Get the static's position

  ### Returns:

  Vec3 a copy of the static's position
Static:SetPosition(position)
  Set the static's position

  ### Parameters:

  - position Vec3 the new position of the static
Static:GetRotation()
  Get the static's rotation

  ### Returns:

  Rotation a copy of the static's rotation
Static:SetRotation(rotation)
  Set the static's rotation

  ### Parameters:

  - rotation Rotation the static's new rotation
Static:GetScale()
  Get the static's scale

  ### Returns:

  float current static scale
Static:SetScale(scale)
  Set the static's scale

  ### Parameters:

  - scale Scale the static's new scale
Static:GetHP()
  Get current HP (hit points/health points) Used only with shatterable static meshes.

  ### Returns:

  int the amount of HP the static currently has
Static:SetHP(HP)
  Set current HP (hit points/health points) Used only with shatterable static meshes.

  ### Parameters:

  - HP int the amount of HP to give the static
Static:GetName()
  Get the static's unique string identifier

  ### Returns:

  string the static's name
Static:SetName(name)
  Set the static's name (its unique string identifier) e.g. "my_vase" or "oldrubble"

  ### Parameters:

  - name string The static's new name
Static:GetSlot()
  Get the static's slot number (as listed in Tomb Editor and WadTool)

  ### Returns:

  string the static's slot number
Static:SetSlot(slot)
  Set the static's slot number (as listed in Tomb Editor and WadTool)

  ### Parameters:

  - slot int The static's slot number
Static:GetColor()
  Get the static's color

  ### Returns:

  Color a copy of the static's color
Static:SetColor(color)
  Set the static's color

  ### Parameters:

  - color Color the new color of the static
Static:Shatter()
  Shatter static mesh

generated by TEN-LDoc (a fork of LDoc 1.4.6)